changeset 361:dec92f910289 noffle

[svn] improved debconf backup capability
author godisch
date Sat, 29 Mar 2003 07:12:43 +0000
parents a23b37308063
children c036f2b55576
files debian/config
diffstat 1 files changed, 18 insertions(+), 9 deletions(-) [+]
line wrap: on
line diff
--- a/debian/config	Sat Mar 29 06:57:20 2003 +0000
+++ b/debian/config	Sat Mar 29 07:12:43 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: config 499 2003-03-29 06:57:20Z godisch $
+# $Id: config 500 2003-03-29 07:12:43Z godisch $
 
 set -e
 . /usr/share/debconf/confmodule
@@ -90,36 +90,45 @@
 [ "$NOFFLE_FETCHMODE" = "$RET" ] || db_fset noffle/fetchmode seen false
 
 # input configuration using backup capability, see debconf-devel(8)
-state=1
-laststate=7
+state=2
+laststate=8
 while [ "$state" -gt 0 -a "$state" -le "$laststate" ]; do
 	case "$state" in
 	1)
+		db_input high noffle/debconf || :
+		;;
+	2)
 		db_input low noffle/port || :
 		;;
-	2)
+	3)
 		db_input high noffle/server || :
 		;;
-	3)
+	4)
 		db_input medium noffle/username || :
 		;;
-	4)
+	5)
 		db_get noffle/username
 		if [ "$RET" ]; then
 			db_input medium noffle/password || :
 		fi
 		;;
-	5)
+	6)
 		db_input medium noffle/fetchmode || :
 		;;
-	6)
+	7)
 		db_input medium noffle/maxfetch || :
 		;;
-	7)
+	8)
 		db_input low noffle/default-expire || :
 		;;
 	esac
 	if db_go; then
+		if [ "$state" -eq 1 ]; then
+			db_get noffle/debconf
+			if [ "$RET" = false ]; then
+				break
+			fi
+		fi
 		state=$(($state + 1))
 	else
 		state=$(($state - 1))